{% extends '@RadditApp/submission-base.html.twig' %}

{% from '@RadditApp/macros/submissions.html.twig' import submission %}
{% from '@RadditApp/macros/comments.html.twig' import comment, comment_form %}

{% block page_classes %}
  comments-page
{% endblock %}

{% block body %}
  {{ submission(submission, {show_body: true}) }}

  <h2>{{ 'comments.comments'|trans }}</h2>

  {{ comment_form(submission) }}

  <div class="submission-comments">
    {% for comment in submission.topLevelComments %}
      {{ comment(comment) }}
    {% endfor %}
  </div>
{% endblock %}
